import type { Database } from "bun:sqlite";
export type TableInfoRow = {
    PK: number;
    Index: number;
    Name: string;
    Type: string;
    NotNull: boolean;
    DefaultValue: {
        String: string;
        Valid: boolean;
    };
};
export declare function TableInfo(db: Database, tableName: string): TableInfoRow[];
export declare function TableColumns(db: Database, tableName: string): string[];
export declare function TableIndexes(db: Database, tableName: string): Record<string, string>;
